{ pkgs, ...}: {

    home.packages = with pkgs; [
        direnv
        nix-direnv
    ];

    programs = {
        zsh = {
            enable = true;
            shellAliases = {
                conf = "vim /etc/nixos/configuration.nix";
                touchSens = "xinput --set-prop 14 'libinput Accel Speed'";
                cShell = "nix-shell ~/.config/nixshell/c.nix";
            };
            enableCompletion = true;
            plugins = [
              {
                name = "zsh-nix-shell";
                file = "nix-shell.plugin.zsh";
                src = pkgs.fetchFromGitHub {
                  owner = "chisui";
                  repo = "zsh-nix-shell";
                  rev = "v0.5.0";
                  sha256 = "0za4aiwwrlawnia4f29msk822rj9bgcygw6a8a6iikiwzjjz0g91";
                };
              }
            ];
        };
        direnv.enable = true;
        direnv.nix-direnv.enable = true;
        #direnv.nix-direnv.enableFlakes = true;

   };
}
